Package org.eclipse.rdf4j.http.server.readonly

## Class QueryResponder

- java.lang.Object
- - org.eclipse.rdf4j.http.server.readonly.QueryResponder

-     @Experimental
      @RestController
      public class QueryResponder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryResponder​(Repository repository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sparqlGet​(String defaultGraphUri, String namedGraphUri, String query, String acceptHeader, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `sparqlPostURLencoded​(String defaultGraphUri, String namedGraphUri, String query, String acceptHeader, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResponder

          @Autowired
          public QueryResponder​(Repository repository)

  - ### Method Detail

    - #### sparqlPostURLencoded

          @RequestMapping(value="/sparql",
                          method=POST,
                          consumes="application/x-www-form-urlencoded")
          public void sparqlPostURLencoded​(@RequestParam(value="default-graph-uri",required=false)
                                           String defaultGraphUri,
                                           @RequestParam(value="named-graph-uri",required=false)
                                           String namedGraphUri,
                                           @RequestParam("query")
                                           String query,
                                           @RequestHeader("Accept")
                                           String acceptHeader,
                                           javax.servlet.http.HttpServletRequest request,
                                           javax.servlet.http.HttpServletResponse response)
                                    throws IOException

      Throws:
        `IOException`

    - #### sparqlGet

          @RequestMapping(value="/sparql",
                          method=GET)
          public void sparqlGet​(@RequestParam(value="default-graph-uri",required=false)
                                String defaultGraphUri,
                                @RequestParam(value="named-graph-uri",required=false)
                                String namedGraphUri,
                                @RequestParam("query")
                                String query,
                                @RequestHeader("Accept")
                                String acceptHeader,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws IOException

      Throws:
        `IOException`